API Reference
Advances
6 endpoints· Auth: JWT or API Key
get
/api/v1/console/hr/advances JWT API KeyGet advances
Query parameters
| EmployeeId string (uuid) | — |
| Status string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/advances" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/advances JWT API KeyCreate advances
Request body
application/json
{
"employeeId": "00000000-0000-0000-0000-000000000000",
"amount": 0,
"reason": "string"
}| employeeId string (uuid) | — |
| amount integer (int64) | — |
| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/advances" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"employeeId": "00000000-0000-0000-0000-000000000000",
"amount": 0,
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/advances/{id}/decision JWT API KeyCreate decision
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"decision": "string",
"note": "string"
}| decision string | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/advances/{id}/decision" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"decision": "string",
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/hr/loans JWT API KeyGet loans
Query parameters
| EmployeeId string (uuid) | — |
| Status string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/hr/loans" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/loans JWT API KeyCreate loans
Request body
application/json
{
"employeeId": "00000000-0000-0000-0000-000000000000",
"principal": 0,
"installment": 0,
"reason": "string"
}| employeeId string (uuid) | — |
| principal integer (int64) | — |
| installment integer (int64) | — |
| reason string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/loans" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"employeeId": "00000000-0000-0000-0000-000000000000",
"principal": 0,
"installment": 0,
"reason": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/hr/loans/{id}/decision JWT API KeyCreate decision
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"decision": "string",
"note": "string"
}| decision string | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/hr/loans/{id}/decision" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"decision": "string",
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu